Subject: Re: bug#16951: zless error under ulimit -v

From: Paul Eggert <[email-masked]>
Date: Thu, 06 Mar 2014 13:48:35 -0800

Thanks for the bug report.  This bug occurs because 'less' ignores the 
exit status of gzip.  That is, 'less' uses the LESSOPEN environment 
variable to discover that gzip is the input processor, and uses gzip, 
but when it calls pclose on the resulting stream it discards the exit 
status returned by pclose.  'less' should inspect the exit status and 
report an error in that case.

I'll CC: this email to [email-masked] to give its developer a 
heads-up.  Mark, the original bug report is here:

http://bugs.gnu.org/16951